{self, ...}: system:
with self.pkgs.${system};
  mkShell {
    name = "mushlab-iot";
    nativeBuildInputs =
      [
        # Development
        editorconfig-checker
        pre-commit
        yaml-language-server
        git
      ]
      ++ lib.optionals (pkgs.hostPlatform.system == "x86_64-linux") [
        vscodium-fhs
        fritzing
      ]
      ++ [
        # Linter
        yamllint

        # Nix
        alejandra
        nixUnstable
        nil

        # Service
        mosquitto
        esphome

        # Misc
        reuse
      ];
    shellHook = ''
      ${self.checks.${system}.pre-commit-check.shellHook}
    '';
  }
